LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Modules | Variables
FilenameDisplayFormat.idl File Reference

Go to the source code of this file.

## Modules
module | com
| – idl definition –
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::text
| Text specific interfaces.

## Constant Groups
constants | com::sun::star::text::FilenameDisplayFormat
| These constants are used to specify which parts of an URL are displayed in a field.

## Variables
const short | FULL = 0
| The content of the URL is completely displayed. More...
const short | PATH = 1
| Only the path of the file is displayed. More...
const short | NAME = 2
| Only the name of the file without the file extension is displayed. More...
const short | NAME_AND_EXT = 3
| The file name including the file extension is displayed. More...